Pular para o conteúdo

Webhook de novo evento

Requisição

Host: Software Service (implementado por você). URL típica: https://{seu-dominio}/api/open/opendelivery/v1/newEvent (ou a registrada em ordersWebhookURL).

Headers: X-App-Id, X-App-MerchantId, X-App-Signature (todos obrigatórios). Corpo: mesmos campos do evento de polling. Respostas esperadas: 204 (preferido) ou 200 por compatibilidade; 400, 403, 404, 503 em caso de erro.

{
  "eventId": "evt-8f2a1c",
  "eventType": "CREATED",
  "orderId": "783441058793308",
  "orderURL": "https://open.mykeeta.com/api/open/opendelivery/v1/orders/783441058793308",
  "createdAt": "2026-10-13T20:41:05Z",
  "sourceAppId": "Keeta"
}
Cabeçalhos
X-App-Idstringobrigatório

An unique Identificator of the **Keetas**. The same ID must be sent to all **Software Service**s that implements this webhook.

X-App-MerchantIdstring, [ 36 .. 100 ] characters(id)obrigatório

An unique Identificator of the Merchant

Exemplo:22815773000169-dbc7e35a-c936-4665-9e13-eb55eb8b6824
X-App-Signaturestring, (SHA256)obrigatório

SHA256 hash of the request body, using the client secret as the key, and finally encoded into Base64 format.

Corpoapplication/json
eventIdstringobrigatório

Identificador único do evento.

eventTypestringobrigatório

Tipo do evento. Consulte a definição de cada tipo em Eventos de pedidos.

Enum:"CREATED""CONFIRMED""DISPATCHED""READY_FOR_PICKUP""PICKUP_ONGOING""PICKED_UP""DELIVERED""CONCLUDED""CANCELLATION_REQUESTED""CANCELLED"
Discriminador
orderIdstringobrigatório

Identificador único do pedido. O ID do pedido é gerado pela Keeta.

orderURLstring, (uri)obrigatório

URL para obter os detalhes do pedido.

createdAtstring, (date-time)obrigatório

Data e hora UTC de criação do pedido.

sourceAppIdstring

AppId da Keeta que originou o pedido. Ajuda aplicações que atuam como Hub e intermediam as solicitações entre a Keeta e o Software Service.

virtualBrandstring

ID alternativo do merchant quando o mesmo merchant possui identificações ou marcas diferentes, como dark kitchens. A Keeta ou o Software Hub deve conhecer este ID previamente.

curl -i -X POST \
  https://api.example.com/api/open/opendelivery/v1/newEvent \
  -H 'Content-Type: application/json' \
  -H 'X-App-Id: string' \
  -H 'X-App-MerchantId: 22815773000169-dbc7e35a-c936-4665-9e13-eb55eb8b6824' \
  -H 'X-App-Signature: string' \
  -d '{
    "eventId": "string",
    "eventType": "CREATED",
    "orderId": "string",
    "orderURL": "http://example.com",
    "createdAt": "2019-08-24T14:15:22Z",
    "sourceAppId": "string",
    "virtualBrand": "string"
  }'

Respostas

Status 200 available for compatibility reasons. Please use status 204 instead.

Resposta
Nenhum conteúdo